KDE 4.7 PyKDE API Reference

- KDE's Python API

# CollectionPropertiesPageFactory Class Reference

`from PyKDE4.akonadi import *`

Namespace: Akonadi

## Detailed Description

A factory class for collection properties dialog pages.

The factory encapsulates the creation of the collection properties dialog page. You can use the AKONADI_COLLECTION_PROPERTIES_PAGE_FACTORY macro to create a factory class automatically.

Author:
  Volker Krause <vkrause@kde.org>

## Methods
Akonadi.CollectionPropertiesPage | createWidget (self, QWidget parent=0)

## Method Documentation

Akonadi.CollectionPropertiesPage createWidget | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the actual page widget.

Parameters:

  | parent | The parent widget.